> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rampartcorporation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List pending jobs

> Paginated list of all the pending jobs Rampart is waiting for.



## OpenAPI

````yaml GET /v2/job/pending
openapi: 3.0.0
info:
  title: Rampart API
  description: Rampart API Documentation
  version: v2
  contact: {}
servers:
  - url: https://api.rampartcorporation.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/job/pending:
    get:
      tags:
        - Job
      summary: List pending jobs for a partner
      description: Paginated list of all the pending jobs Rampart is waiting for.
      operationId: JobController_listPendingJobs
      parameters:
        - name: limit
          required: false
          in: query
          description: Items per page (1-100)
          schema:
            type: number
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            type: number
      responses:
        '200':
          description: Successful response with pending jobs and pagination
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - client_id
                        - job_id
                        - sync_type
                        - from
                      properties:
                        client_id:
                          type: string
                        job_id:
                          type: string
                        sync_type:
                          type: string
                          enum:
                            - HISTORICAL
                            - INCREMENTAL
                        from:
                          type: string
                          format: date-time
                        to:
                          type: string
                          format: date-time
                          nullable: true
                  pagination:
                    type: object
                    required:
                      - page
                      - limit
                      - total
                      - totalPages
                      - hasNext
                      - hasPrev
                    properties:
                      page:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      totalPages:
                        type: number
                      hasNext:
                        type: boolean
                      hasPrev:
                        type: boolean
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Bearer authentication header of the form `Bearer <API_KEY>`.

````